## Vertical federated learning reading list

This list is mainly based on [chaoyanghe/Awesome-Federated-Learning](https://github.com/chaoyanghe/Awesome-Federated-Learning#Vertical-Federated-Learning) and [tanjuntao/VFL_paper_list](https://github.com/tanjuntao/VFL_paper_list). If you are new to vertical federated learning, we recommend you to read papers or blogs with 🔴.

### Conferences

* **Faster Secure Data Mining via Distributed Homomorphic Encryption [[paper](https://www.kdd.org/kdd2020/accepted-papers/view/faster-secure-data-mining-via-distributed-homomorphic-encryption)] [KDD 2020]**
* **Federated Doubly Stochastic Kernel Learning for Vertically Partitioned Data [[paper](https://www.kdd.org/kdd2020/accepted-papers/view/federated-doubly-stochastic-kernel-learning-for-vertically-partitioned-data)] [[code](https://github.com/zixu1986/Doubly_Stochastic_Gradients)] [KDD 2020]**
* **Privacy Preserving Vertical Federated Learning for Tree-based Models [[paper](https://arxiv.org/abs/2008.06170)] [VLDB 2020]**
* Measure Contribution of Participants in Federated Learning [[paper](https://arxiv.org/pdf/1909.08525.pdf)] [Big Data 2019]
* **FDML: A collaborative machine learning framework for distributed features [[paper](https://www.kdd.org/kdd2019/accepted-papers/view/fdml-a-collaborative-machine-learning-framework-for-distributed-features)] [[youtube](https://www.youtube.com/watch?v=_o44Lv3bXIQ)] [KDD 2019]**

### Workshops

* A Quasi-Newton Method Based Vertical Federated Learning Framework for Logistic Regression [[Paper]](https://arxiv.org/abs/1912.00513) [NIPS 2019 Workshop]
* 🔴 A Communication-Efficient Collaborative Learning Framework for Distributed Features [[paper](https://arxiv.org/abs/1912.11187)] [NIPS 2019 workshop]
* 🔴 Parallel Distributed Logistic Regression for Vertical Federated Learning without Third-Party Coordinator [[paper](https://arxiv.org/abs/1911.09824)] [IJCAI 2019 workshop]

### arxiv

* 🔴 Optimization for Large-Scale Machine Learning with Distributed Features and Observations [[paper](https://arxiv.org/abs/1610.10060)] [[code](https://github.com/anathan90/RADiSA)] [arxiv 16.10]
* Private federated learning on vertically partitioned data via entity resolution and additively homomorphic encryption [[paper](https://arxiv.org/abs/1711.10677)] [arxiv 17.11]
* 🔴 Entity Resolution and Federated Learning get a Federated Resolution [[paper](https://arxiv.org/abs/1803.04035)] [arxiv 18.03]
* Split learning for health: Distributed deep learning without sharing raw patient data [[paper](https://arxiv.org/abs/1812.00564)] [arxiv 18.12]
* Stochastic Distributed Optimization for Machine Learning from Decentralized Features [[paper](https://arxiv.org/abs/1812.06415)] [arxiv 18.12]
* 🔴 SecureBoost: A Lossless Federated Learning Framework [[paper](https://arxiv.org/abs/1901.08755)] [arxiv 19.01]
* Learning Privately over Distributed Features: An ADMM Sharing Approach [[paper](https://arxiv.org/abs/1907.07735)] [arxiv 19.07]
* 🔴 Multi-Participant Multi-Class Vertical Federated Learning [[paper](https://arxiv.org/abs/2001.11154)] [arxiv 20.01]
* 🔴 Asymmetrical Vertical Federated Learning [[paper](https://arxiv.org/abs/2004.07427)] [arxiv 20.04]
* 🔴 VAFL: a Method of Vertical Asynchronous Federated Learning [[paper](https://arxiv.org/abs/2007.06081)] [arxiv 20.07]
* FedMVT: Semi-supervised Vertical Federated Learning with MultiView Training [[paper](https://arxiv.org/pdf/2008.10838)] [arxiv 20.08]
* Privacy-Preserving Asynchronous Federated Learning Algorithms for Multi-Party Vertically Collaborative Learning [[paper](https://arxiv.org/pdf/2008.06233.pdf)] [arxiv 20.08]
* Hybrid Differentially Private Federated Learning on Vertically Partitioned Data [[paper](https://arxiv.org/pdf/2009.02763)] [arxiv 20.09]
* A vertical federated learning method for interpretable scorecard and its application in credit scoring [arxiv 20.09]
* Feature Inference Attack on Model Predictions in Vertical Federated Learning [[paper](https://arxiv.org/pdf/2010.10152)] [arxiv 20.10]
* FederBoost: Private Federated Learning for GBDT [[paper](https://arxiv.org/abs/2011.02796)] [arxiv 20.11]
* Privacy Leakage of Real-World Vertical Federated Learning [[paper](https://arxiv.org/pdf/2011.09290)] [arxiv 20.11]
* Large-Scale Kernel Method for Vertical Federated Learning [[paper](https://link.springer.com/content/pdf/10.1007%2F978-3-030-63076-8.pdf)] [[Federated Learning - Privacy and Incentive ](https://www.springer.com/gp/book/9783030630751)] [arxiv 20.11]
* Asymmetric Private Set Intersection with Applications to Contact Tracing and Private Vertical Federated Machine Learning [[paper](https://arxiv.org/pdf/2011.09350)] [[code](https://github.com/OpenMined/PyVertical)] [arxiv 20.11]
* A homomorphic-encryption-based vertical federated learning scheme for rick management [arxiv 2020]
* Accelerating intra-party communication in vertical federated learning [CoNEXT 2020]

### Papers on vertically partioned data

* [**2003**] - Privacy-preserving k-means clustering over vertically partitioned data [[paper](https://www.cerias.purdue.edu/tools_and_resources/bibtex_archive/archive/2003-47.pdf)] [KDD 2003]
* [**2002**] - Privacy preserving association rule mining in vertically partitioned data [[paper](https://www.cs.purdue.edu/homes/clifton/DistDM/kdd02.pdf)] [KDD 2002]
* [**2006**] - Privacy-Preserving SVM Classification on Vertically Partitioned Data [[paper](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.309.361&rep=rep1&type=pdf)] [PAKDD 2006]
* [**2008**] - Privacy-preserving decision trees over vertically partitioned data [[paper](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.329.3951&rep=rep1&type=pdf)] [TKDD 2008]
* [**2008**] - A Survey of Privacy-Preserving Methods Across Vertically Partitioned Data [[paper](https://www.sci-hub.ren/10.1007/978-0-387-70992-5_14)]
* 🔴 Secure linear regression on vertically partitioned datasets [[paper](https://pdfs.semanticscholar.org/1f99/6f3ed94538d5cea66c1cb6ef3adfed9cdd24.pdf)] [IACR Cryptol 2016]
* A new privacy-preserving proximal support vector machine for classiﬁcation of vertically partitioned data [[paper](https://link.springer.com/content/pdf/10.1007/s13042-014-0245-1.pdf)] [International Journal of Machine Learning and Cybernetics 2015]
* Privacy preserving random decision tree classification over horizontally and vertically partitioned data [[paper](https://ieeexplore.ieee.org/abstract/document/8511953/)] [DASC/PiCom/DataCom/CyberSciTech 2018]

### Benchmark and Dataset

[The OARF Benchmark Suite: Characterization and Implications for Federated Learning Systems](https://arxiv.org/pdf/2006.07856.pdf)

[Evaluation Framework For Large-scale Federated Learning](https://arxiv.org/pdf/2003.01575.pdf)

[(*) PrivacyFL: A simulator for privacy-preserving and secure federated learning. MIT CSAIL.](https://arxiv.org/pdf/2002.08423.pdf)

[Revocable Federated Learning: A Benchmark of Federated Forest](https://arxiv.org/pdf/1911.03242.pdf)

[Real-World Image Datasets for Federated Learning](https://arxiv.org/pdf/1910.11089.pdf)

[LEAF: A Benchmark for Federated Settings](https://arxiv.org/pdf/1812.01097.pdf)

[Functional Federated Learning in Erlang (ffl-erl)](https://arxiv.org/pdf/1808.08143.pdf) [[code](https://gitlab.com/fraunhofer_chalmers_centre/functional_federated_learning)]

### Blog post

[🔴 UNDERSTANDING THE TYPES OF FEDERATED LEARNING](https://blog.openmined.org/federated-learning-types/)   [OpenMined]

[🔴 Federated Learning - Part 2](https://community.ibm.com/community/user/datascience/blogs/nathalie-baracaldo1/2020/01/03/federated-learning-part-2) [IBM Data Science Community]

[🔴 Introduction to Federated Learning and Challenges](https://towardsdatascience.com/introduction-to-federated-learning-and-challenges-ea7e02f260ca)